PHP 5.4 and call-time-pass-by-reference

 

A word of warning. I just updated to PHP 5.4 which broke my installation because call-time-pass-by-reference has been removed in this version. See: passing by reference.

Along with some other functions you shouldn’t be using anymore anyway. See the incompatible list.

For up-to-date plugins and software this shouldn’t be a problem since it was deprecated for a while already.

For me it notably breaks the Feedwordpress plugin in WordPress and gives a fatal error, which is annoying. A simple solution is present but you need to dive into the code and replace a few lines. See the solution here.

I fear older plugins of various kinds are also vulnerable for this problem, so I advice to check your installation locally against a new php version to see if any problems arise before your host decides to upgrade their installation!

Tags: , ,


Bas Schuiling

Bas Schuiling

Expert on everything web development and WordPress. Is pressing his words when version 1 came out and has been liking it ever since. More than 10 years of work experience in web development and writer of this blog.


Comments are closed.